> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get base workflow run 1

> get automation workflow run history list



## OpenAPI

````yaml /swagger.json get /base/{baseId}/workflow/{workflowId}/run
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /base/{baseId}/workflow/{workflowId}/run:
    get:
      tags:
        - automation
      description: get automation workflow run history list
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
        - schema:
            type: string
          required: true
          name: workflowId
          in: path
        - schema:
            type: number
            nullable: true
            description: skip number
          required: false
          description: skip number
          name: skip
          in: query
        - schema:
            type: number
            nullable: true
            description: take number
          required: false
          description: take number
          name: take
          in: query
        - schema:
            type: string
            enum:
              - success
              - failed
              - running
              - canceled
              - pending
            description: filter by status
          required: false
          description: filter by status
          name: status
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  rowCount:
                    type: number
                    description: total number of the runs
                  runs:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: id of the action run
                        status:
                          type: string
                          enum:
                            - success
                            - failed
                            - running
                            - canceled
                            - pending
                        errorMsg:
                          type: object
                          properties:
                            i18nKey:
                              type: string
                            context:
                              type: object
                              additionalProperties:
                                nullable: true
                          required:
                            - i18nKey
                          description: error message of the workflow run
                        spent:
                          type: number
                          description: spent of the workflow run
                        createdTime:
                          type: string
                          description: started time of the workflow run
                      required:
                        - id
                        - status
                        - createdTime
                    description: workflow run history
                required:
                  - rowCount
                  - runs
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run?skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE&status=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run?skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE&status=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run?skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE&status=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run?skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE&status=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````